
Redmine - Defect #3943

Subversion: Directory revision list contains faulty revisions

2009-09-29 23:53 - Mischa The Evil

Status: New Start date: 2009-09-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Consider this issue "for form's sake" due to lack of spare time; will complete it later!

Looking at the changes-view of e.g. source:/sandbox/groups (

http://www.redmine.org/projects/redmine/repository/changes/sandbox/groups) it seems the content of the path-variable isn't correct

or properly used which causes the fact that the canges view /can contain/ un-related revisions.

This directory-related revision list feature is implemented in r2849 which should be considered as a commit which solves issue #1311

.

Related issues:

Related to Redmine - Defect #7984: Confusing revisions links on repository root New 2011-03-24

Related to Redmine - Feature #7246: Handle "named branch" for mercurial Closed 2011-01-07

Related to Redmine - Patch #6159: Subversion: latest changesets performance i... New 2010-08-17

Follows Redmine - Feature #1311: Subversion: Show revision histories for bran... New 2008-05-27

History

#1 - 2009-10-05 00:55 - Mischa The Evil

To follow-up this issue...

I've had a more thorough look at the reported issue, including some comparing with TortoiseSVN's Log Browser, and came to the following

observations:

Looking at the changes-view of e.g. source:/sandbox/groups (http://www.redmine.org/projects/redmine/repository/changes/sandbox/groups) it

seems the content of the path-variable isn't correct or properly used which causes the fact that the canges view /can contain/ un-related

revisions.

 This behaviour is due to the fact that the shown revisions includes the revisions before the copy-action. How about an option in the changes-view, to

activate/deactivate an "stop-on-copy" feature, for both the directory- and file-changes views?

Another thing is that the changes view is submissive to the "Maximum number of revisions displayed on file log"-setting. This can lead to an

incomplete changes-list for both directories and files without the user is informed in some kind of way that some limiting is being done to the list.

Maybe it would be best to add pagination to the changes-view too as is done already for the revisions-view?

This directory-related revision list feature is implemented in r2849 which should be considered as a commit which solves issue #1311.

 As explained above there currently are some caveats with the current state of implementation resulting in the conclusion that r2849 is not yet a

full-solution for issue #1311. Though it does brought a solid base for resolving #1311.

Kind regards,

Mischa.

#2 - 2011-03-23 05:32 - Toshi MARUYAMA

- Subject changed from [SCM] Directory revision list contains faulty revisions to Subversion: Directory revision list contains faulty revisions
